# RestrictedBoltzmannMachines.jl Documentation

A Julia package to train and simulate Restricted Boltzmann Machines.
The package is registered. You can install it with:

```julia
pkg> add RestrictedBoltzmannMachines
```

from the Pkg REPL, or

```julia
julia> using Pkg; Pkg.add("RestrictedBoltzmannMachines")
```

from the Julia REPL.

The source code is hosted on Github.

<https://github.com/cossio/RestrictedBoltzmannMachines.jl>

This package doesn't export any symbols.
I recommended to import it like this:

```julia
import RestrictedBoltzmannMachines as RBMs
```

to avoid typing a long name everytime.

Most of the functions have a helpful docstring.
See [Reference](@ref) section.

See also the Examples listed on the menu on the left side bar to understand how the package works as a whole.